extends layout

block headContent
	if (result.getblock)
		+title(`Block #${result.getblock.height.toLocaleString()}, ${result.getblock.hash}`)
	else
		+title('Block: Error')

block content
	if (result.getblock)
		h1.h3 Block 
			small.text-monospace(style="width: 100%;") ##{result.getblock.height.toLocaleString()}
			br
			small.text-monospace.word-wrap(style="width: 100%;") #{result.getblock.hash}
		hr

		include includes/block-content.pug

block endOfBody
	if (result && result.getblock)
		script.
			$(document).ready(function() {
				var blockHash = "!{result.getblock.hash}";
				$('a[href="#tab-json-tx-ids"]').one('click', function (e) {
					$.ajax({
						url: `/api/txids-by-block/${blockHash}`
					}).done(function(txids) {
						$('#tab-json-tx-ids code').html(hljs.highlight('json', JSON.stringify(txids, null, 4)).value);
						$('#tab-json-tx-ids-spinner').hide();
					});
				});
			});
